package com.example.pap_teste.models;

public class Mesa {
    private String id;
    private int numero;
    private int capacidade;
    private String estado;
    private String restauranteEmail;

    public Mesa() {
        // Default constructor required for calls to DataSnapshot.getValue(Mesa.class)
    }

    public Mesa(String id, int numero, int capacidade, String estado, String restauranteEmail) {
        this.id = id;
        this.numero = numero;
        this.capacidade = capacidade;
        this.estado = estado;
        this.restauranteEmail = restauranteEmail;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getNumero() {
        return numero;
    }

    public void setNumero(int numero) {
        this.numero = numero;
    }

    public int getCapacidade() {
        return capacidade;
    }

    public void setCapacidade(int capacidade) {
        this.capacidade = capacidade;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String getRestauranteEmail() {
        return restauranteEmail;
    }

    public void setRestauranteEmail(String restauranteEmail) {
        this.restauranteEmail = restauranteEmail;
    }

    @Override
    public String toString() {
        return "Mesa " + numero;
    }
}
